using System;

internal sealed class Delegate165 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate165 delegate165_1)
	{
		return delegate165_1(object_0);
	}

	public extern Delegate165(object object_0, IntPtr intptr_0);

	static Delegate165()
	{
		Class10.smethod_13(typeof(Delegate165).TypeHandle);
	}

	internal static Delegate165 delegate165_0;
}
